User Management
The purpose of this set of API calls is to enable user management from the API perspective. They include CRUD operations on users. Each user call has to be made in the context of an account. No user can exist without an associated account. Each user has an associated role.
User Roles
| Role | Translate | Create User | Update User | Get User Information | Delete User | Get Account Info | Update Account Info |
|---|---|---|---|---|---|---|---|
| Admin | Yes | Yes | Yes | Yes | Yes | Yes | Yes |
| Linguist | Yes | No | Yes (self) | Yes (self info) | No | No | No |
| Translator | Yes | No | Yes (self) | Yes (self info) | No | No | No |
Create user
This call creates a new user within the system. The user will be part of the same account as the Admin that creates it.
When a new user is created there are two possible scenarios.
- The user has an identity created with SDL ID in which case it can start using Language Weaver right away using his SDL ID credentials. (email and password)
- The user does not have an identity created with SDL ID. In this case a new identity will be created and the user will receive a confirmation email and an email with a request to update his password. The update needs to happen otherwise the user will not be able to use the system.
Linux
curl -XPOST -H 'Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI' -H 'Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555' -H "Content-type: application/json" -d '{
"firstName": "John",
"middleName": "M",
"lastName": "Smith",
"email": "jsmith@domain.com",
"userRole": "translator",
"active": "yes"
}' 'https://api.languageweaver.com/v4/accounts/12/users'
Windows
curl -XPOST -H "Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI" -H "Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555" -H "Content-type: application/json" -d ^
"{^
\"firstName\": \"John\",^
\"middleName\": \"M\",^
\"lastName\": \"Smith\",^
\"email\": \"jsmith@mail.com\",^
\"userRole\": \"translator\",^
\"active\": \"yes\"^
}" https://api.languageweaver.com/v4/accounts/12/users
Access token type
User credentials - Allowed User Roles: Admin
HTTP Request
POST /v4/accounts/{accountId}/users
Headers
| Name | Value (example) | Description |
|---|---|---|
| Authorization | Bearer asd0eXAi... | Bearer token |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | Optional unique request identifier (UUID) provided by client |
Request Parameters
Request JSON:
{
"firstName": "John",
"middleName": "M",
"lastName": "smith",
"email": "jsmith@domain.com",
"userRole": "translator",
"active": "yes"
}
Format
JSON
| Name | Type | Mandatory | Default value | Description |
|---|---|---|---|---|
firstName |
string | yes | String specifying the first name of the user | |
middleName |
string | no | Empty string | String specifying the middle name of the user |
lastName |
string | yes | String specifying the last name of the user | |
email |
string | yes | User's email. This has to be valid. It will be used for login | |
userRole |
string | no | Translator | The role that the user has |
active |
string | no | [no] | [yes/no] |
Response JSON:
{
"userId": 123,
"firstName": "John",
"middleName": "M",
"lastName": "smith",
"email": "jsmith@domain.com",
"userRole": "translator",
"active": "yes",
"accountId": 12
}
Response
Headers
| Name | Value (example) | Description |
|---|---|---|
| BeGlobal-Request-ID | dbbbc062-88a7-4783-8d52-dea795e517f4 | Unique request identifier (UUID) |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | The identifier provided in the request (UUID) |
Format
JSON
| Name | Type | Description |
|---|---|---|
userId |
integer | Unique numeric identifier for the user |
firstName |
string | User's first name |
middleName |
string | User's middle name |
lastName |
string | User's last name |
email |
string | User's email |
userRole |
string | User's role |
active |
string | User's active state |
accountId |
integer | Unique numeric identifier for the user's account |
Error JSON:
{
"errors":[
{
"code":1005,
"description":"Role: Wrong does not exist"
}
]
}
Error Response
Format
JSON
| Name | Type | Description |
|---|---|---|
errors |
list | A list with the errors that occurred |
code |
integer | The code of the error |
description |
string | The description of the error |
Returned HTTP Codes:
| Http Code | Description |
|---|---|
| 200 | When the user is successfully created |
| 400 | When the input data is not valid |
| 401 | When the authentication process failed or the access token is not valid |
| 403 | Forbidden to access resource |
| 500 | Application internal error |
Get user
This call should be used to retrieve information about the user. You need to provide the user id for which you want the info.
Linux
curl -XGET -H 'Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI' -H 'Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555' \
'https://api.languageweaver.com/v4/accounts/12/users/123'
Windows
curl -XGET -H "Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI" -H "Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555" ^
https://api.languageweaver.com/v4/accounts/12/users/123
Access token type
User credentials - Allowed User Roles: Admin
HTTP Request
GET /v4/accounts/{accountId}/users/{userId}
Headers
| Name | Value (example) | Description |
|---|---|---|
| Authorization | Bearer asd0eXAi... | Bearer token |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | Optional unique request identifier (UUID) provided by client |
Response JSON:
{
"userId": 123,
"firstName": "John",
"middleName": "M",
"lastName": "smith",
"email": "jsmith@domain.com",
"userRole": "translator",
"active": "yes",
"accountId": 12,
"lastLoginDate": "2025/03/30 16:04:36",
"lastTranslationDate": "2025/03/30 19:30:15",
"groups": [
{
"id": "9a84a1fa-75ee-4c35-9e20-a7b2f94e9f75",
"name": "Finance"
},
{
"id": "832e5502-cde0-4b70-ad94-421052672589",
"name": "Translators"
}
]
}
Response
Headers
| Name | Value (example) | Description |
|---|---|---|
| BeGlobal-Request-ID | dbbbc062-88a7-4783-8d52-dea795e517f4 | Unique request identifier (UUID) |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | The identifier provided in the request (UUID) |
Format
JSON
| Name | Type | Description |
|---|---|---|
userId |
integer | Unique numeric identifier for the user |
firstName |
string | User's first name |
middleName |
string | User's middle name |
lastName |
string | User's last name |
email |
string | User's email |
userRole |
string | User's role |
active |
string | User's active state |
accountId |
integer | Unique numeric identifier for the user's account |
groups |
list | List of groups that the user is part of. Each group contains the group identifier and the group name. |
lastLoginDate |
string | Date when the user last logged in |
lastTranslationDate |
string | Date when the user last translated |
Error JSON:
{
"errors":[
{
"code":1002,
"description":"account with id 12 does not exist"
}
]
}
Error Response
Format
JSON
| Name | Type | Description |
|---|---|---|
errors |
list | A list with the errors that occurred |
code |
integer | The code of the error |
description |
string | The description of the error |
Returned HTTP Codes:
| Http Code | Description |
|---|---|
| 200 | When the user is returned |
| 400 | When the input data is not valid |
| 401 | When the authentication process failed or the access token is not valid |
| 403 | Forbidden to access resource |
| 500 | Application internal error |
Get user self information
This call should be used to retrieve information about the logged in (current) user.
Linux
curl -XGET -H 'Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI' -H 'Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555' \
'https://api.languageweaver.com/v4/accounts/users/self'
Windows
curl -XGET -H "Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI" -H "Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555" ^
https://api.languageweaver.com/v4/accounts/users/self
Access token type
User credentials - Allowed User Roles: Admin, Linguist, Translator
HTTP Request
GET /v4/accounts/users/self
Headers
| Name | Value (example) | Description |
|---|---|---|
| Authorization | Bearer asd0eXAi... | Bearer token |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | Optional unique request identifier (UUID) provided by client |
Response JSON:
{
"userId": 123,
"firstName": "John",
"middleName": "M",
"lastName": "smith",
"email": "jsmith@domain.com",
"userRole": "translator",
"active": "yes",
"accountId": 12,
"accountCategory": "TRIAL",
"eulaAccepted": "yes",
"allowChangePassword": true,
"deleteContentEnabled": true
}
Response
Headers
| Name | Value (example) | Description |
|---|---|---|
| BeGlobal-Request-ID | dbbbc062-88a7-4783-8d52-dea795e517f4 | Unique request identifier (UUID) |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | The identifier provided in the request (UUID) |
Format
JSON
| Name | Type | Description |
|---|---|---|
userId |
integer | Unique numeric identifier for the user |
firstName |
string | User's first name |
middleName |
string | User's middle name |
lastName |
string | User's last name |
email |
string | User's email |
userRole |
string | User's role |
active |
string | User's active state |
accountId |
integer | Unique numeric identifier for the user's account |
accountCategory |
string | Category name of the user's account |
eulaAccepted |
string | EULA agreement was accepted |
allowChangePassword |
boolean | Is the user allowed to change his password |
deleteContentEnabled |
boolean | Is the content deleted after translation was retrieved |
Returned HTTP Codes:
| Http Code | Description |
|---|---|
| 200 | When the user is returned |
| 401 | When the authentication process failed or the access token is not valid |
| 403 | Forbidden to access resource |
| 500 | Application internal error |
Error JSON:
{
"errors":[
{
"code":55,
"description": "Invalid access token. The Token has expired."
}
]
}
Error Response
Format
JSON
| Name | Type | Description |
|---|---|---|
errors |
list | A list with the errors that occurred |
code |
integer | The code of the error |
description |
string | The description of the error |
Returned HTTP Codes:
| Http Code | Description |
|---|---|
| 200 | When the user is returned |
| 400 | When the input data is not valid |
| 401 | When the authentication process failed or the access token is not valid |
| 403 | Forbidden to access resource |
| 500 | Application internal error |
Update user
This call is used to update an existing user within the system. You need to provide the user id for which you want the update to happen. All user information needs to be provided. Partial updates are not allowed.
Linux
curl -XPUT -H 'Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI' -H 'Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555' -H "Content-type: application/json" -d '{
"firstName": "John",
"middleName": "M",
"lastName": "smith",
"email": "jsmith@domain.com",
"userRole": "translator",
"active": "yes"
}' 'https://api.languageweaver.com/v4/accounts/12/users/12'
Windows
curl -XPUT -H "Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI" -H "Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555" -H "Content-type: application/json" -d ^
"{^
\"firstName\": \"John\",^
\"middleName\": \"Mr\",^
\"lastName\": \"smith\",^
\"email\": \"jsmith@mail.com\",^
\"userRole\": \"translator\",^
\"active\": \"yes\"^
}" https://api.languageweaver.com/v4/accounts/12/users/12
Access token type
User credentials - Allowed User Roles: Admin*, Linguist**, Translator**
*Admin - Allowed to update: firstName, middleName, lastName, userRole, active
**Linguist, Translator - Allowed to update self information: firstName, middleName, lastName
HTTP Request
PUT /v4/accounts/{accountId}/users/{userId}
Headers
| Name | Value (example) | Description |
|---|---|---|
| Authorization | Bearer asd0eXAi... | Bearer token |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | Optional unique request identifier (UUID) provided by client |
Request Parameters
Request JSON:
{
"firstName": "John",
"middleName": "M",
"lastName": "smith",
"email": "jsmith@domain.com",
"userRole": "translator",
"active": "yes"
}
Format
JSON
| Name | Type | Mandatory | Default value | Description |
|---|---|---|---|---|
firstName |
string | yes | String specifying the first name of the user | |
middleName |
string | yes | String specifying the middle name of the user | |
lastName |
string | yes | String specifying the last name of the user | |
email |
string | yes | User's email. This has to be valid. It will be used for login | |
userRole |
string | yes | The role that the user has | |
active |
string | yes | [yes/no] |
Response JSON:
{
"userId": 123,
"firstName": "John",
"middleName": "M",
"lastName": "smith",
"email": "jsmith@domain.com",
"userRole": "translator",
"active": "yes",
"accountId": 12
}
Response
Headers
| Name | Value (example) | Description |
|---|---|---|
| BeGlobal-Request-ID | dbbbc062-88a7-4783-8d52-dea795e517f4 | Unique request identifier (UUID) |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | The identifier provided in the request (UUID) |
Format
JSON
| Name | Type | Description |
|---|---|---|
userId |
integer | Unique numeric identifier for the user |
firstName |
string | User's first name |
middleName |
string | User's middle name |
lastName |
string | User's last name |
email |
string | User's email |
userRole |
string | User's role |
active |
string | User's active state |
accountId |
integer | Unique numeric identifier for the user's account |
Error JSON:
{
"errors":[
{
"code":1005,
"description":"Role: Wrong does not exist"
}
]
}
Error Response
Format
JSON
| Name | Type | Description |
|---|---|---|
errors |
list | A list with the errors that occurred |
code |
integer | The code of the error |
description |
string | The description of the error |
Returned HTTP Codes:
| Http Code | Description |
|---|---|
| 200 | When the user is successfully updated |
| 400 | When the input data is not valid |
| 401 | When the authentication process failed or the access token is not valid |
| 403 | Forbidden to access resource |
| 500 | Application internal error |
Delete user
This call is used to delete an existing user. The user id needs to be provided.
Linux
curl -XDELETE -H 'Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI' -H 'Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555' -H "Content-type: application/json" \
'https://api.languageweaver.com/v4/accounts/12/users/123'
Windows
curl -XDELETE -H "Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI" -H "Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555" -H "Content-type: application/json" ^
https://api.languageweaver.com/v4/accounts/12/users/123
Access token type
User credentials - Allowed User Roles: Admin
HTTP Request
DELETE /v4/accounts/{accountId}/users/{userId}
Headers
| Name | Value (example) | Description |
|---|---|---|
| Authorization | Bearer asd0eXAi... | Bearer token |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | Optional unique request identifier (UUID) provided by client |
Response
Headers
| Name | Value (example) | Description |
|---|---|---|
| BeGlobal-Request-ID | dbbbc062-88a7-4783-8d52-dea795e517f4 | Unique request identifier (UUID) |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | The identifier provided in the request (UUID) |
When the user is deleted successfully no content is returned
Error JSON:
{
"errors":[
{
"code":1002,
"description":"user with id 123 does not exist"
}
]
}
Error Response
Format
JSON
| Name | Type | Description |
|---|---|---|
errors |
list | A list with the errors that occurred |
code |
integer | The code of the error |
description |
string | The description of the error |
Returned HTTP Codes:
| Http Code | Description |
|---|---|
| 204 | When the user is deleted |
| 400 | When the input data is not valid |
| 401 | When the authentication process failed or the access token is not valid |
| 403 | Forbidden to access resource |
| 500 | Application internal error |
Search users
This call should be used to retrieve information about the users by providing a search term. Searching with an missing/empty search term will return all users in the system, similar to a get all users call. When providing a term, the value is searched in all fields of the user: Id, role, email, firstName, middleName, lastName. The search term can contain more than one word(delimited by spaces), which means a search will be performed for each word, trough all name fields(firstName, middleName, lastName) of the user. Ex: searchTerm="John Doe" will return users: User(middleName="John",lastName="Doe"), User(firstName="Doe",lastName="John"), etc... In addition, you should provide a page number and a page size parameter. Both parameters are optional, but a default value will be set.
Linux
curl -XPOST -H 'Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI' -H 'content-type: application/json' -H 'Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555' -d '{
"searchTerm":"John"
}' 'https://api.languageweaver.com/v4/accounts/12/users/search'
Windows
curl -XPOST -H "Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI" -H "content-type: application/json" -H "Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555" -d ^
"{^
\"searchTerm\": \"John\"^
}" https://api.languageweaver.com/v4/accounts/12/users/search
Access token type
User credentials - Allowed User Roles: Admin
HTTP Request
POST /v4/accounts/{accountId}/users/search?pageNumber={pageNumber}&pageSize={pageSize}&sortField={sortField}&sortDirection={sortDirection}
Headers
| Name | Value (example) | Description |
|---|---|---|
| Authorization | Bearer asd0eXAi... | Bearer token |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | Optional unique request identifier (UUID) provided by client |
Query Parameters
| Name | Type | Mandatory | Default value | Description |
|---|---|---|---|---|
pageNumber |
int | no | 1 | Integer specifying the requested page number |
pageSize |
int | no | 10 | Integer specifying the requested page size, limited to 100 |
sortField |
string | no | String specifying the field by which the returned users list is to be sorted. Valid values are creationDate, lastModifyDate and lastLoginDate. |
|
sortDirection |
string | no | ASC |
String specifying the sorting direction. Valid values are ASC for ascending order and DESC for descending order. |
Request Parameters
Request JSON:
{
"searchTerm":"John",
"filter":{
"lastLoginDateStart": "2026/01/01",
"lastLoginDateEnd": "2026/01/01",
"creationDateStart": "2026/01/01",
"creationDateEnd": "2026/01/01",
"lastModifyDateStart": "2026/01/01",
"lastModifyDateEnd": "2026/01/01",
"emptyLastLoginDate": false,
"userRoles": ["ADMIN","TRANSLATOR"]
}
}
Format
JSON
| Name | Property | Type | Mandatory | Default value | Description |
|---|---|---|---|---|---|
searchTerm |
string | no | Empty string | String used to search for users (case-insensitive) | |
filter |
object | no | Object specifying the criteria used to filter returned users. | ||
lastLoginDateStart |
string | no | The start of the last login date for filtering users. Required format: yyyy/MM/dd. | ||
lastLoginDateEnd |
string | no | The end of the last login date for filtering users. Required format: yyyy/MM/dd. | ||
creationDateStart |
string | no | The start of the creation date for filtering users. Required format: yyyy/MM/dd. | ||
creationDateEnd |
string | no | The end of the creation date for filtering users. Required format: yyyy/MM/dd. | ||
lastModifyDateStart |
string | no | The start of the last modify date for filtering users. Required format: yyyy/MM/dd. | ||
lastModifyDateEnd |
string | no | The end of the last modify date for filtering users. Required format: yyyy/MM/dd. | ||
emptyLastLoginDate |
boolean | no | Filters users based on their login activity.
|
||
userRoles |
list | no | Filters users based on their roles. Valid values: "ADMIN", "TRANSLATOR", "LINGUIST". |
Response JSON:
{
"totalCount": 1,
"pageNumber": 1,
"pageSize": 10,
"accountId": 4,
"users": [
{
"firstName": "John",
"middleName": "M",
"lastName": "Doe",
"email": "jsmith@domain.com",
"userRole": "translator",
"active": "yes",
"userId": 123,
"createdByAccountId": 2,
"createdByUserId": 3,
"createdByUserEmail": "johnDoe@domain.com",
"creationDate": "2025/02/26",
"lastModifiedByAccountId": 2,
"lastModifiedByUserId": 4,
"lastModifiedByUserEmail": "janeDoe@domain.com",
"lastModifyDate": "2025/03/09",
"lastLoginDate": "2025/03/25 15:26:15",
"lastTranslationDate": "2025/03/30 19:30:15",
"groups": [
{
"id": "9a84a1fa-75ee-4c35-9e20-a7b2f94e9f75",
"name": "Finance"
},
{
"id": "832e5502-cde0-4b70-ad94-421052672589",
"name": "Translators"
}
]
}]
}
Response
Headers
| Name | Value (example) | Description |
|---|---|---|
| BeGlobal-Request-ID | dbbbc062-88a7-4783-8d52-dea795e517f4 | Unique request identifier (UUID) |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | The identifier provided in the request (UUID) |
Format
JSON
| Name | Type | Description |
|---|---|---|
accountId |
integer | Unique numeric identifier for the user's account |
totalCount |
integer | Total number of users matched by the search in the specified account |
pageNumber |
integer | Requested page number |
pageSize |
integer | Requested page size |
users |
list | List of users |
userId |
integer | Unique numeric identifier for the user |
firstName |
string | User's first name |
middleName |
string | User's middle name |
lastName |
string | User's last name |
email |
string | User's email |
userRole |
string | User's role |
active |
string | User's active state |
groups |
list | List of groups that the user is part of. Each group contains the group identifier and the group name. |
createdByAccountId |
integer | Account identifier corresponding to the user that created this user |
createdByUserId |
integer | Identifier corresponding to the user that created this user |
createdByUserEmail |
string | Email corresponding to the user that created this user |
creationDate |
string | Date when the user was created |
lastModifiedByAccountId |
integer | TAccount identifier corresponding to the user that last modified this user |
lastModifiedByUserId |
integer | Identifier corresponding to the user that last modified this user |
lastModifiedByUserEmail |
string | Email corresponding to the user that last modified this user |
lastModifyDate |
string | Date when the user was last modified |
lastLoginDate |
string | Date when the user last logged in |
lastTranslationDate |
string | Date when the user last translated |
Error JSON:
{
"errors":[
{
"code":1002,
"description":"account with id 12 does not exist"
}
]
}
Error Response
Format
JSON
| Name | Type | Description |
|---|---|---|
errors |
list | A list with the errors that occurred |
code |
integer | The code of the error |
description |
string | The description of the error |
Returned HTTP Codes:
| Http Code | Description |
|---|---|
| 200 | When the users were returned |
| 400 | When the input data is not valid |
| 401 | When the authentication process failed or the access token is not valid |
| 403 | Forbidden to access resource |
| 500 | Application internal error |
Export users
Export all the users in a given account.
Linux
curl -XPOST -H 'Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI' -H 'content-type: application/json' -H 'Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555' -d '{
"searchTerm":"John"
}' 'https://api.languageweaver.com/v4/accounts/12/users/export'
Windows
curl -XPOST -H "Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI" -H "content-type: application/json" -H "Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555" -d ^
"{^
\"searchTerm\": \"John\"^
}" https://api.languageweaver.com/v4/accounts/12/users/export
Access token type
User credentials - Allowed User Roles: Admin
HTTP Request
POST /v4/accounts/{accountId}/users/export
Headers
| Name | Value (example) | Description |
|---|---|---|
| Authorization | Bearer asd0eXAi... | Bearer token |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | Optional unique request identifier (UUID) provided by client |
Request Parameters
Request JSON:
{
"searchTerm":"John",
"filter":{
"lastLoginDateStart": "2026/01/01",
"lastLoginDateEnd": "2026/01/01",
"creationDateStart": "2026/01/01",
"creationDateEnd": "2026/01/01",
"lastModifyDateStart": "2026/01/01",
"lastModifyDateEnd": "2026/01/01",
"emptyLastLoginDate": false,
"userRoles": ["ADMIN","TRANSLATOR"]
}
}
Format
JSON
| Name | Property | Type | Mandatory | Default value | Description |
|---|---|---|---|---|---|
searchTerm |
string | no | Empty string | String used to search for users (case-insensitive) | |
filter |
object | no | Object specifying the criteria used to filter returned users. | ||
lastLoginDateStart |
string | no | The start of the last login date for filtering users. Required format: yyyy/MM/dd. | ||
lastLoginDateEnd |
string | no | The end of the last login date for filtering users. Required format: yyyy/MM/dd. | ||
creationDateStart |
string | no | The start of the creation date for filtering users. Required format: yyyy/MM/dd. | ||
creationDateEnd |
string | no | The end of the creation date for filtering users. Required format: yyyy/MM/dd. | ||
lastModifyDateStart |
string | no | The start of the last modify date for filtering users. Required format: yyyy/MM/dd. | ||
lastModifyDateEnd |
string | no | The end of the last modify date for filtering users. Required format: yyyy/MM/dd. | ||
emptyLastLoginDate |
boolean | no | Filters users based on their login activity.
|
||
userRoles |
list | no | Filters users based on their roles. Valid values: "ADMIN", "TRANSLATOR", "LINGUIST". |
Response
Format
BINARY
Returns an XLSX file containing users matching the specified filter criteria, or all users if no filters are provided.
Error JSON:
{
"errors":[
{
"code":1002,
"description":"account with id 12 does not exist"
}
]
}
Error Response
Format
JSON
| Name | Type | Description |
|---|---|---|
errors |
list | A list with the errors that occurred |
code |
integer | The code of the error |
description |
string | The description of the error |
Returned HTTP Codes:
| Http Code | Description |
|---|---|
| 200 | When the export is successful |
| 400 | When the input data is not valid |
| 401 | When the authentication process failed or the access token is not valid |
| 403 | Forbidden to access resource |
| 500 | Application internal error |
Add user to groups
This call adds a user to one or multiple groups. See Groups Management for more details.
Linux
curl -XPOST -H 'Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI' -H 'Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555' -H "Content-type: application/json" -d '{
"groupIds": ["9a84a1fa-75ee-4c35-9e20-a7b2f94e9f75", "832e5502-cde0-4b70-ad94-421052672589"]
}' 'https://api.languageweaver.com/v4/accounts/12/users/1/groups'
Windows
curl -XPOST -H "Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI" -H "Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555" -H "Content-type: application/json" -d ^
"{^
\"groupIds\": [\"9a84a1fa-75ee-4c35-9e20-a7b2f94e9f75\", \"832e5502-cde0-4b70-ad94-421052672589\"]^
}" https://api.languageweaver.com/v4/accounts/12/users/1/groups
Access token type
User credentials - Allowed User Roles: Admin
API credentials
HTTP Request
POST /v4/accounts/{accountId}/users/{userId}/groups
Headers
| Name | Value (example) | Description |
|---|---|---|
| Authorization | Bearer asd0eXAi... | Bearer token |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | Optional unique request identifier (UUID) provided by client |
Request Parameters
Request JSON:
{
"groupIds": [
"9a84a1fa-75ee-4c35-9e20-a7b2f94e9f75",
"832e5502-cde0-4b70-ad94-421052672589"
]
}
Format
JSON
| Name | Type | Mandatory | Default value | Description |
|---|---|---|---|---|
groupIds |
list | yes | List of group identifiers (UUIDs) |
Response
Headers
| Name | Value (example) | Description |
|---|---|---|
| BeGlobal-Request-ID | dbbbc062-88a7-4783-8d52-dea795e517f4 | Unique request identifier (UUID) |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | The identifier provided in the request (UUID) |
Format
JSON
Response JSON:
{
"accountId": 12,
"userId": 1,
"groupIds": [
"9a84a1fa-75ee-4c35-9e20-a7b2f94e9f75",
"832e5502-cde0-4b70-ad94-421052672589"
]
}
| Name | Type | Description |
|---|---|---|
accountId |
integer | Account identifier |
userId |
integer | User identifier |
groupIds |
string | List of identifiers (UUIDs) representing the groups that the user is part of |
Error Response
Format
JSON
Error JSON:
{
"errors":[
{
"code":1002,
"description":"account with id 12 does not exist"
}
]
}
| Name | Type | Description |
|---|---|---|
errors |
list | A list with the errors that occurred |
code |
integer | The code of the error |
description |
string | The description of the error |
Returned HTTP Codes:
| Http Code | Description |
|---|---|
| 200 | When the user is successfully added to the groups |
| 400 | When the input data is not valid |
| 401 | When the authentication process failed or the access token is not valid |
| 403 | Forbidden to access resource |
| 500 | Application internal error |
Remove user from groups
This call removes a user from one or multiple groups.
Linux
curl -XDELETE -H 'Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI' -H 'Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555' -H "Content-type: application/json" -d '{
"groupIds": ["9a84a1fa-75ee-4c35-9e20-a7b2f94e9f75", "832e5502-cde0-4b70-ad94-421052672589"]
}' 'https://api.languageweaver.com/v4/accounts/12/users/1/groups'
Windows
curl -XDELETE -H "Authorization: Bearer asd0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsI" -H "Trace-ID: 2c0c4dda-8333-4538-983e-e098de7cf555" -H "Content-type: application/json" -d ^
"{^
\"groupIds\": [\"9a84a1fa-75ee-4c35-9e20-a7b2f94e9f75\", \"832e5502-cde0-4b70-ad94-421052672589\"]^
}" https://api.languageweaver.com/v4/accounts/12/users/1/groups
Access token type
User credentials - Allowed User Roles: Admin
API credentials
HTTP Request
DELETE /v4/accounts/{accountId}/users/{userId}/groups
Headers
| Name | Value (example) | Description |
|---|---|---|
| Authorization | Bearer asd0eXAi... | Bearer token |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | Optional unique request identifier (UUID) provided by client |
Request Parameters
Request JSON:
{
"groupIds": [
"9a84a1fa-75ee-4c35-9e20-a7b2f94e9f75",
"832e5502-cde0-4b70-ad94-421052672589"
]
}
Format
JSON
| Name | Type | Mandatory | Default value | Description |
|---|---|---|---|---|
groupIds |
list | yes | List of group identifiers (UUIDs) |
Response
Headers
| Name | Value (example) | Description |
|---|---|---|
| BeGlobal-Request-ID | dbbbc062-88a7-4783-8d52-dea795e517f4 | Unique request identifier (UUID) |
| Trace-ID | 2c0c4dda-8333-4538-983e-e098de7cf555 | The identifier provided in the request (UUID) |
When the user is successfully removed from the groups, no content is returned.
Error Response
Format
JSON
Error JSON:
{
"errors":[
{
"code":1002,
"description":"account with id 12 does not exist"
}
]
}
| Name | Type | Description |
|---|---|---|
errors |
list | A list with the errors that occurred |
code |
integer | The code of the error |
description |
string | The description of the error |
Returned HTTP Codes:
| Http Code | Description |
|---|---|
| 204 | When the user is successfully removed from the request groups |
| 400 | When the input data is not valid |
| 401 | When the authentication process failed or the access token is not valid |
| 403 | Forbidden to access resource |
| 500 | Application internal error |